<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Dt_agvtask.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/taskManagement/Dt_agvtask.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "agv_id",
      footer: "Foots",
      cnName: "AGV任务",
      name: "/Dt_agvtask",
      url: "/Dt_agvtask/",
      sortName: "agv_id",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      agv_tasknum: "",
      agv_materielid: "",
      agv_materbarcode: "",
      agv_code: "",
      agv_fromaddress: "",
      agv_toaddress: "",
      agv_taskstate: "",
    });
    const searchFormOptions = ref([
      [
        { title: "任务编号", field: "agv_tasknum", type: "like" },
        { title: "物料编号", field: "agv_materielid", type: "like" },
        { title: "物料条码", field: "agv_materbarcode", type: "like" },
      ],
      [
        { title: "AGV编号", field: "agv_code", type: "like" },
        { title: "起点地址", field: "agv_fromaddress", type: "like" },
        { title: "终点地址", field: "agv_toaddress", type: "like" },
      ],
      [
        {
          title: "任务状态",
          field: "agv_taskstate",
          type: "select",
          dataKey: "agv_taskstate",
        },
      ],
    ]);
    const columns = ref([
      {
        field: "",
        title: "任务Id",
        type: "agv_id",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "agv_tasknum",
        title: "任务编号",
        type: "int",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "agv_materielid",
        title: "物料编号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "agv_materbarcode",
        title: "物料条码",
        type: "string",
        width: 90,
        require: true,
        align: "left",
      },
      {
        field: "agv_code",
        title: "AGV编号",
        type: "int",
        width: 90,
        require: true,
        align: "left",
      },
      {
        field: "agv_fromaddress",
        title: "起始地址",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "agv_toaddress",
        title: "终点地址",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "agv_taskstate",
        title: "任务状态",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        bind: { key: "agv_taskstate", data: [] },
      },
      {
        field: "ErrMsg",
        title: "错误信息",
        type: "string",
        width: 150,
        require: true,
        align: "left",
        
      },
      {
        field: "agv_remark",
        title: "烘箱上料编号",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "agv_tasktype",
        title: "任务类型",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        hidden:true,
        bind: { key: "", data: [{ key: "TaskType_Outbound", value: "搬运" }] },
      },
      {
        field: "agv_grade",
        title: "任务等级",
        type: "int",
        width: 90,
        align: "left",
        hidden: true,
      },
      {
        field: "agv_qty",
        title: "数量",
        type: "decimal",
        width: 90,
        require: true,
        align: "left",
        hidden: true,
      },
      {
        field: "agv_createtime",
        title: "创建时间",
        type: "datetime",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
      },
      {
        field: "agv_realesstime",
        title: "执行时间",
        type: "datetime",
        width: 90,
        align: "left",
        sortable: true,
      },
      {
        field: "agv_finishedtime",
        title: "完成时间",
        type: "datetime",
        width: 90,
        align: "left",
        sortable: true,
      },
      {
        field: "agv_userid",
        title: "用户Id",
        type: "string",
        width: 90,
        align: "left",
        hidden: true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
